import request from '@/utils/request'

export function listMessage(data) {
  return request({
    url: '/messageLiset',
    method: 'post',
    data: {
      id: data.id,
      messageContent: data.messageContent,
      messageType: data.messageType,
      createDate: data.dataValue,
      pageNum: data.pageNum,
      pageSize: data.pageSize,
      status: data.status
    }
  })
}
export function myMessageList(data) {
  return request({
    url: '/myMessageList',
    method: 'post',
    data: {
      id: data.id,
      messageContent: data.messageContent,
      messageType: data.messageType,
      createDate: data.dataValue,
      pageNum: data.pageNum,
      pageSize: data.pageSize,
      readStatus: data.readStatus
    }
  })
}
export function delectRead(data) {
  return request({
    url: '/delectRead',
    method: 'post',
    data: {
      id: data
    }
  })
}
